Subject: Offline Message from NAjla: Hello , I ordered on 3rd May. It was three item
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 07 Jun 2020 17:15:41 -0000

From: NAjla <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/
Department: 

Hello , 

I ordered on 3rd May. It was three items. Order number: 100146462 
Two items were shipped on 11th May that I received it. 
But one item was shipped on 5th May via shipa , tracking number: SOR004532005
Before it says “order created” 
Now nothing. 
I would like to know what happened and where is it. Or if it is out of stock or will be delayed more. Let me know as i will cancel it and refund my money. 
It been more than a month. I can’t wait more. 
Regards , 

----
Zopim
https://www.zopim.com